Skip to main content
PATCH
Update the search context

Headers

X-AVP-SessionDuration
string
X-AVP-Impersonation
string

Path Parameters

sessionId
string
required

Body

The new search context

This represent the parameters used to configure future call to the service. It represents more or less the data entered by the final customer.

stayPeriod
object
required

Describe a period of stay by specifying the arrival date and the departure date.

guests
object[]
required
selectedHotelId
string
required

The currently selected hotel id. Could be zero when starting a session for a multi hotel booking engine. Automatically set when starting a session for a mono hotel booking engine.

excludeMixedRates
boolean
required

Configure whether the search results should include mixed rates or not.

disableCrossSell
boolean
required

Configure whether the search results should return cross sell configuration when no rooms are available.

isMobile
boolean
required

Configure whether the request came from a mobile or not.

selectedRoomCode
string
selectedRateCode
string
highlightedRateCode
string
highlightedRoomCode
string
highlightedHotelCode
string
promoCode
string

The promo code requested for the session. It could be either an OfferCode or a RateCode.

gpsPosition
object

If defined the search results should be based on user's location.

Response

OK

The response is of type object.